import java.io.*;
import java.util.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;
import Config;
import Header;

      /** A class to handle the case when login fails.*/
public class AuthFailSession extends Session{

      /** A method to print the page for failed login. 
         * Uses a predefined HTML file for the contents of the page
         * @param Conn Connection instance
         * @param out PrintWriter instnce
         * @param Req HttpServletRequest
         * @param Cook Cookie
         * @return Nothing
         */
      public void printPage(Connection Conn,PrintWriter out,HttpServletRequest Req,String Cook){
            try{
                  Header myHeader = new Header();
                  String Title="",Head="";
                  Title = "Online Thesis Submission";
                  Head = "Authentication Failed!";
                  myHeader.printHead(Title,Head,out);
                  this.printRespectivePage(Config.Dir+"Wrongauth.html",out);
            } catch(FileNotFoundException e){}
            catch(IOException e){}
      }

      public void processData(HttpServletRequest Req,Connection Conn,PrintWriter out){}

       /** A method to print the specified file on to the specified printwriter.
         * @param Filename Name of the file
         * @param out PrintWriter instance
         * @return Nothing
         */
      public void printRespectivePage(String Filename,PrintWriter out)
            throws FileNotFoundException,IOException{
                  try{
                        Header myHeader = new Header();
                        FileInputStream file = new FileInputStream(Filename);
                        InputStreamReader reader = new InputStreamReader(file);
                        BufferedReader input = new BufferedReader(reader);
                        String nextLine;
                        while((nextLine=input.readLine())!=null){
                              out.println(nextLine);
                        }
                        myHeader.printFooter(out);
                        out.close();
                        input.close();
                        reader.close();
                        file.close();
                  } catch(FileNotFoundException e){}

            }
}
