import java.util.*;
import java.sql.*;
import javax.servlet.http.*;
import java.io.*;
import javax.servlet.*;

        /** Abstract class for defining a template for various HTTP sessions.
          */
abstract public class Session {
    public String loginId,password;
    
         /** Method to print a Page
           * @param Conn Connection instance 
           * @param out PrintWriter instace
           * @param Req HttpServletRequest instance
           * @return Nothing
           */
    public void printPage(Connection Conn,PrintWriter out,HttpServletRequest Req,String cook){}
   
          /** Method to print updated page
            * @param Conn Connection instance
            * @param out PrintWriter instance
            * @return Nothing
            */
    public void printUpdatePage(Connection Conn, PrintWriter out){}
    
          /** Method to process data posted from a form
            * @param Req HttpServletRequest instance
            * @param Conn Connection instance
            * @param out PrintWriter instance
            * @return Nothing
            */
    public void processData(HttpServletRequest Req,Connection Conn,PrintWriter out){}
          
         /** Method to print type of Mail
            * @param Req HttpServletRequest instance
            * @param Conn Connection instance
            * @return Nothing
            */ 
    public void printTypesMail(PrintWriter out,Connection Conn){}
}
