      
      /*
       *This file contains the variables which have to be defined
       *compulsorily. Proper working of the package is not ensured
       *unless all the variables are correctly defined.
       *
       *Note : All the directories mentioned here must be created by 
       *the user himself. 
       */


//////////////////////////////////////////////////////////////////////////////
////////    The format is:

////////    Variable declaration                =     "VALUE"     followed by a comment on the variable

////////    The VALUE is what is to be filled in.
//////////////////////////////////////////////////////////////////////////////


public class Config{
    
//////////////////////////////////////////////////////////////////////////////
////////    Data base aspect:

      public static String dblogin        =     "vkb";                                              //database login name
      public static String dbpassword     =     "vkb";                                              //database passwd
    
//////////////////////////////////////////////////////////////////////////////
////////    Server-side aspect:

      public static String hostname       =     "everest.cse.iitb.ernet.in";                        //host name
      public static String port           =     "5555";                                             //port on which this software is run.Refer README also.
      public static String pubpath        =     "http://www.cse.iitb.ernet.in/~vkb";                //site where starting page is desired
      public static String pubdir         =     "/users/ug97/vkb/public_html";                      //absolute path of the previous field
      public static String thesissite     =     "http://www.cse.iitb.ernet.in/~vkb/thesis_files";   //site of theses storage
      public static String thesispath     =     "/users/ug97/vkb/public_html/thesis_files";         //absolute path of the previous field
      public static String packpath       =     "/users/ug97/vkb/etd/code";               //location of this software

////////    dont bother with this:
      public static String sqlDir         =     packpath+"/sql/";    
      public static String Dir            =     packpath+"/Html_files/";

//////////////////////////////////////////////////////////////////////////////
////////    Log files aspect:

      public static String logpath        =     "/users/ug97/vkb/etd/code/var";           //absolute path to the log directory

//////// you dont have to tamper these in this category

      public static String PassLog        =     logpath+"/PasswdChanged.log";                       //student changing password
      public static String PassFailLog    =     logpath+"/PasswdFailed.log";                        //passwd failure
      public static String StudentLog     =     logpath+"/StudentLogin.log";                        //student log time
      public static String StudentFailLog =     logpath+"/StudentFailLogin.log";                    //authentication failure
      public static String StdSession     =     logpath+"/StudentSession.log";                      //info abt a session of a student
      public static String RegLog         =     logpath+"/Register.log";                            //successfull registrations
      public static String RegFailLog     =     logpath+"/RegisterFail.log";                        //registration failures
      public static String RootLog        =     logpath+"/RootSession.log";                         //info abt session of a root
      public static String RootPassChangeLog=   logpath+"/rootChangedPasswd.log";                   //self-explanatory :)

//////////////////////////////////////////////////////////////////////////////
///////     Cookie times: (in seconds) (How long do you want the cookie to be valid?
      
      public static int rootCookieTime    =     3600;
      public static int studentCookieTime =     3600;
      public static int facultyCookieTime =     3600;

//////////////////////////////////////////////////////////////////////////////
////////    Security aspect:

      public static String hostallow      =     "iitb.ernet.in";                                   // These hosts are allowed

//////////////////////////////////////////////////////////////////////////////
///////     Mail aspect:

      public static String fromAdd        =     "etd@cse.iitb.ernet.in";

//////////////////////////////////////////////////////////////////////////////
///////     Page look:

      public static String bgcolor        =     "#b5d0ff";                                          //back ground colour
      public static String text           =     "black";                                            //text colour
      public static String link           =     "e20dcd";                                           //link colour
      public static String tablecolor     =     "#FFFFFF";                                          //table colour
   
//////////////////////////////////////////////////////////////////////////////
}	
