import java.io.*;
import java.util.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;
import Config;
import Header;
import RandGen;

            /** Class to handle the main serlvet. This servlet handles 
              * almost all the forms for root/student/faculty.
              */  
public class MainServlet extends HttpServlet implements SingleThreadModel{
      Connection Conn;

      /* Initialize the servlet */  
      public void init(ServletConfig cfg)
            throws ServletException{
                  try{
                        DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());
                        Conn=DriverManager.getConnection("jdbc:oracle:thin:@:1521:GEN",Config.dblogin,Config.dbpassword);		
                  }catch(SQLException e){System.out.println("Sorry JDBC not connecting");}
            }

      /** Method to Process the submitted form. 
        * @param Req HttpServletRequest instance
        * @param Res HttpServletResponse instance
        * @return Nothing
        */
      public void doPost(HttpServletRequest Req, HttpServletResponse Res)
            throws ServletException, IOException {

                  Res.setContentType("text/html");
                  PrintWriter out = Res.getWriter();
                  String form_no=Req.getParameterValues("form_no")[0];
                  HttpSession hs = Req.getSession(true);
                  Session ss = (Session)hs.getValue("mySession");
                  Session SS = (Session)hs.getValue("mySession");
                  String Id=hs.getId();
                  int flag=0;
                  
                  //check the authenticity of the user.
                  if((form_no.compareTo("0") != 0) && (form_no.compareTo("100") !=0) &&  (form_no.compareTo("201") !=0) && (form_no.compareTo("202") != 0)){
                        try {
                              String Login =ss.loginId;
                              Cookie cookie[]=new Cookie[100];
                              cookie=Req.getCookies();
                              String Ins="";
                              Ins="select * from cookies where userid='"+Login+"' and cookie='"+cookie[0].getValue()+"'";
                              Statement Stmt=Conn.createStatement();
                              ResultSet result=Stmt.executeQuery(Ins);
                              if(result.next()) {
                                    flag=1;
                              }
                        }catch (SQLException e){} 
                        catch (NullPointerException e){}
                  } 

                  String rand="";
                  if(form_no.compareTo("0") == 0){

                        String Login = Req.getParameterValues("login")[0];
                        String Pass = Req.getParameterValues("pass")[0];

                        // Validating the entry
                        Validator myValidator = new Validator();
                        String usertype = myValidator.Validate(Req,Conn);

                        // Checking the User type
                        if(usertype.compareTo("student") == 0){
                              try{
                                    FileWriter studentlogFile=new FileWriter(Config.StudentLog,true);
                                    PrintWriter toFile=new PrintWriter(studentlogFile);
                                    PresentTime GetTime=new PresentTime();
                                    toFile.println(Login+" "+GetTime.gettime());
                                    studentlogFile.close();
                              }catch(IOException e){
                                    e.printStackTrace();
                              }
                              RandGen randg = new RandGen();
                              rand=randg.generate();
                              Cookie cookie = new Cookie("etd_cookie",rand);
                              cookie.setMaxAge(Config.studentCookieTime);
                              cookie.setValue(rand);
                              Res.addCookie(cookie);
                              try {
                                    Statement Stmt = Conn.createStatement();
                                    String query = "select * from cookies where userid='"+Login+"'";
                                    ResultSet result=Stmt.executeQuery(query);
                                    String Ins="";
                                    if (result.next()){
                                          Ins="update cookies set cookie='"+rand+"' where userid='"+Login+"'";
                                    }
                                    else{
                                          Ins="insert into cookies values ('"+Login+"','"+rand+"')";
                                    }
                                    Stmt.executeUpdate(Ins);
                              }
                              catch (SQLException e){} 
                              ss = new StudentSession();
                        }
                        else if(usertype.compareTo("faculty") == 0){
                        RandGen randg = new RandGen();
                        rand=randg.generate();
                        Cookie cookie = new Cookie("etd_cookie",rand);
                              cookie.setMaxAge(Config.facultyCookieTime);
                              cookie.setValue(rand);
                              Res.addCookie(cookie);
                              try {
                                    Statement Stmt = Conn.createStatement();
                                    String query = "select * from cookies where userid='"+Login+"'";
                                    ResultSet result=Stmt.executeQuery(query);
                                    String Ins="";
                                    if (result.next()){
                                          Ins="update cookies set cookie='"+rand+"' where userid='"+Login+"'";
                                    }
                                    else{
                                          Ins="insert into cookies values ('"+Login+"','"+rand+"')";
                                    }
                                    Stmt.executeUpdate(Ins);
                              }
                              catch (SQLException e){} 
                              ss = new FacultySession();
                        }
                        else if(usertype.compareTo("root") == 0){
                              RandGen randg = new RandGen();
                              rand=randg.generate();
                              Cookie cookie = new Cookie("etd_cookie",rand);
                              cookie.setMaxAge(Config.rootCookieTime);
                              cookie.setValue(rand);
                              Res.addCookie(cookie);
                              try {
                                    Statement Stmt = Conn.createStatement();
                                    String query = "select * from cookies where userid='"+Login+"'";
                                    ResultSet result=Stmt.executeQuery(query);
                                    String Ins="";
                                    if (result.next()){
                                          Ins="update cookies set cookie='"+rand+"' where userid='"+Login+"'";
                                    }
                                    else{
                                          Ins="insert into cookies values ('"+Login+"','"+rand+"')";
                                    }
                                    Stmt.executeUpdate(Ins);
                              }
                              catch (SQLException e){} 
                              ss = new RootSession();
                        }
                        else{
                              ss = new AuthFailSession();
                        }
                        hs.putValue("mySession",ss);
                        ss.loginId=Login;
                        ss.password=Pass;
                        // Printing back the corresponding Page
                        ss.printPage(Conn,out,Req,Id);
                  }
                  else if((form_no.compareTo("100") == 0)){	
                        String Title = "Online Thesis Submission";
                        String Head = "Change Password";
                        Header myhead = new Header();
                        myhead.printHead(Title,Head,out); 
                        myhead.printcp(out);
                        myhead.printPage(Config.Dir+"changepass.html",out); 
                        myhead.printFooter(out); 
                  }
                  else if((form_no.compareTo("101") == 0) && (flag==1)){	
                        String Title = "Online Thesis Submission";
                        String Head = "Change Password";
                        Header myhead = new Header();
                        myhead.printHead(Title,Head,out); 
                        myhead.printrcp(out);
                        myhead.printPage(Config.Dir+"rootChangedPassword.html",out); 
                        myhead.printFooter(out); 
                  }
                  else if((form_no.compareTo("102") == 0)&& (flag==1)){	
                        ss = new RootSession();
                        ss.printPage(Conn,out,Req,Id); 
                  }
                  else if((form_no.compareTo("103") == 0)&& (flag==1)){	
                        ss = new StudentSession();
                        ss.loginId=Req.getParameterValues("login")[0];
                        ss.printUpdatePage(Conn,out); 
                        Header myheader = new Header();
                        myheader.printFooter(out);
                        myheader.printMain(out);
                        myheader.printPage(Config.Dir+"studentFoot.html",out);
                        out.println(ss.loginId);
                        myheader.printPage(Config.Dir+"facultyFoot2.html",out);
                        out.println("</body></html>");
                  }
                  else if((form_no.compareTo("104") == 0)&& (flag==1)){	
                        ss = new FacultySession();
                        ss.loginId=Req.getParameterValues("login")[0];
                        ss.printUpdatePage(Conn,out); 
                        out.println("</body></html>");
                  }
                  else if((form_no.compareTo("105") == 0)&& (flag==1)){	//for group mails input

                        Header myheader = new Header();
                        String title="Group Mail System";
                        String head="Root facility";
                        myheader.printHead(title,head,out);
                        myheader.printMain(out);
                        String s="<TABLE><TR>";
                        SS = new RootSession();
                        SS.printTypesMail(out,Conn);
                        s+="<TR><TD>Message</TD><TD><TEXTAREA NAME=body ROWS=10 COLS=50></TEXTAREA></TD>";
                        s+="</TR></TABLE>";
                        out.println(s);
                        s="<INPUT TYPE=HIDDEN NAME=form_no VALUE=106>";
                        s+="<INPUT TYPE=SUBMIT VALUE='Send'><INPUT TYPE=RESET>";
                        out.println(s);
                        myheader.printMain(out);
                        myheader.printPage(Config.Dir+"rootFoot.html",out);
                        myheader.printFooter(out); 
                        s="</form></body></html>";
                        out.println(s);
                  }
                  else if((form_no.compareTo("106") == 0)&& (flag==1)){	//for group mails sending
                        ss = new RootSession();
                        String type=Req.getParameterValues("type")[0];
                        String body=Req.getParameterValues("body")[0];
                        GroupMailer GM=new GroupMailer();
                        GM.Start(type,body,Conn,out);
                  }
                  else if(form_no.compareTo("201") == 0){

                       RemoteAccess raccess=new RemoteAccess();
                       if(raccess.giveStatus(Req,Res)){ 
                           String Title = "Online Thesis Submission";
                           String Head = "Login Page";
                           Header myheader = new Header();
                           myheader.printHead(Title,Head,out);
                           myheader.printMain(out);
                           myheader.printPage(Config.Dir+"login.html",out);
                           myheader.printFooter(out);
                       }
                       else{
                           String Title = "Online Thesis Submission";
                           String Head = " Access Denied";
                           Header myheader = new Header();
                           myheader.printHead(Title,Head,out);
                           myheader.printPage(Config.Dir+"Denied.html",out);
                           myheader.printFooter(out);
                        
                        }
                  }
                  else if(form_no.compareTo("202") == 0){
                        String Title = "Online Thesis Submission";
                        String Head = "Registration Form";
                        Header myheader = new Header();
                        myheader.printHead(Title,Head,out);
                        myheader.printRegister(out);
                        myheader.printPage(Config.Dir+"register.html",out);
                        myheader.printFooter(out);
                  }
                  else if((form_no.compareTo("301") == 0) && (flag==1)){
                        String Title = "Online Thesis Submission";
                        String Head = "You have successfully logged out";
                        Header myheader = new Header();
                        myheader.printHead(Title,Head,out);

                        //Clean up the cookies.
                        String Login =ss.loginId;
                        Cookie cookie[]=new Cookie[100];
                        cookie=Req.getCookies();
                        try{
                              Statement Stmt = Conn.createStatement();
                              String delCook = "delete cookies where userid='"+Login+"' and cookie='"+cookie[0].getValue()+"'";
                              Stmt.executeUpdate(delCook);
                        }catch(SQLException e){}
                        myheader.printFooter(out);
                  }
                  else if (flag==1){
                        ss.processData(Req,Conn,out);
                        ss.printPage(Conn,out,Req,Id);
                        out.close();
                  }
                  else {
                        String Title = "Online Thesis Submission";
                        String Head  = "Unlawful Entry";
                        Header myheader = new Header();
                        myheader.printHead(Title,Head,out);
                        myheader.printPage(Config.Dir+"unlawful.html",out);
                        myheader.printFooter(out);
                  }
            }
}
