import java.io.*;
import java.net.*;
import java.util.*;
import java.lang.*;
import java.util.Date;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;
import Config;
import Header;

        /** Class to handle the student session. 
          * It handles the facilities provided to the student such as
          * updation of tuples.
          */
public class StudentSession extends Session{

      Header myHeader = new Header();
      String Title="",Head="";
      public void printPage(Connection Conn,PrintWriter out,HttpServletRequest Req,String cook){
            try{
                  Integer form_no = new Integer(Req.getParameterValues("form_no")[0]);
                  switch(form_no.intValue()){
                        case 0:
                              try{
                                    Statement Stmt = Conn.createStatement();
                                    String query="select * from student_thesis where sroll='"+loginId+"'";
                                    ResultSet result=Stmt.executeQuery(query);
                                    if(result.next()){  //students is not new..
                                          this.printUpdatePage(Conn,out);
                                    }
                                    else{   //new student
                                          Title = "Online Thesis Submission";
                                          Head = "Submission Form";
                                          myHeader.printHead(Title,Head,out);
                                          myHeader.printMain(out);
                                          this.printRespectivePage(Config.Dir+"Studentform1.html",out);
                                          this.printTypesList(out,Conn);
                                          this.printRespectivePage(Config.Dir+"Studentform2.html",out);
                                    }
                              }catch(SQLException e){}
                              break;
                        case 1: // Confirm
                              Title = "Online Thesis Submission";
                              Head = "Confirmation";
                              myHeader.printHead(Title,Head,out);
                              this.printRespectivePage(Config.Dir+"Confirmation.html",out);
                              break;
                        case 103:
                              try{
                                    Title = "Online Thesis Submission";
                                    Head = "Submission Form";
                                    myHeader.printHead(Title,Head,out);
                                    myHeader.printMain(out);
                                    Statement Stmt = Conn.createStatement();
                                    String query="select * from students where sroll='"+loginId+"'";
                                    ResultSet result=Stmt.executeQuery(query);
                                    if(result.next()){
                                          this.printUpdatePage(Conn,out);
                                    }
                                    else{
                                          this.printRespectivePage(Config.Dir+"Studentform1.html",out);
                                          this.printTypesList(out,Conn);
                                          this.printRespectivePage(Config.Dir+"Studentform2.html",out);
                                    }
                              }catch(SQLException e){}
                              break;
                  }

                  /* Print the appropiate footers */
                  myHeader.printFooter(out);
                  myHeader.printMain(out);
                  myHeader.printPage(Config.Dir+"studentFoot.html",out);
                  out.println(loginId);
                  myHeader.printPage(Config.Dir+"facultyFoot2.html",out);
                  myHeader.printMain(out);
                  myHeader.printPage(Config.Dir+"logout.html",out);
                  out.println("</BODY></HTML>");

            } catch(NumberFormatException e){}
            catch(IOException e){}
      }
          /** Method to process the data
            * @param Req HttpServletRequest instance
            * @param Conn Connection instance
            * @param out PrintWriter instance
            * @return Nothing
            */
      public void processData(HttpServletRequest Req,Connection Conn,PrintWriter out){
            try{
                  Integer form_no = new Integer(Req.getParameterValues("form_no")[0]);
                  switch(form_no.intValue()){
                        case 1:
                              try{
                                    Statement Stmt=Conn.createStatement();
                                    String Query="select * from student_thesis where sroll='"+loginId+"' and type='"+Req.getParameterValues("type")[0]+"'";
                                    ResultSet result=Stmt.executeQuery(Query);
                                    if(result.next()){  //if this guy has submitted a thesis of this type earlier..
                                          this.upDate(Req,Conn,out);
                                    }	
                                    else{
                                          Query="select * from student_thesis where sroll='"+loginId+"'";
                                          result=Stmt.executeQuery(Query);
                                          if(result.next()){ //old guy, new thesis..
                                                this.insData(Req,Conn,out,"0");
                                          }
                                          else{                   //new guy
                                                this.insData(Req,Conn,out,"1");
                                          }	
                                    }
                              }catch(SQLException e){} 
                              break;
                  }
            } catch(NumberFormatException e){}
      }
          /** Method to Html-ise the types list
            * @param out PrintWriter instance
            * @param Conn Connection instance
            * @return Nothing
            */
      public void printTypesList(PrintWriter out,Connection Conn){
            String s="";
            try{
                  Statement Stmt=Conn.createStatement();
                  String Query="select type from student_faculty where sroll='"+loginId+"'";
                  ResultSet types=Stmt.executeQuery(Query);
                  s+="<TR><TD><FONT SIZE=5>Type of Thesis</FONT></TD><TD><FONT SIZE=5><SELECT NAME=type>";
                  while(types.next()){
                        s+="<OPTION VALUe="+types.getString(1)+">"+types.getString(1).toUpperCase();
                  }
                  s+="</SELECT></FONT></TD></TR>";
                  out.println(s);
            }catch(SQLException e){}
      }

          /** Method to update  the data in database
            * @param Req HttpServletRequest instance
            * @param Conn Connection instance
            * @param out PrintWriter instance
            * @return Nothing
            */
      public void upDate(HttpServletRequest Req,Connection Conn,PrintWriter out){
            try{
                  String dno="";
                  String year="";
                  String serialno="";
                  Statement Stmt = Conn.createStatement();	
                  String Name=checkQuote(Req.getParameterValues("name")[0]);
                  String Addr=checkQuote(Req.getParameterValues("addr")[0]);
                  String Email=checkQuote(Req.getParameterValues("email")[0]);
                  String type=checkQuote(Req.getParameterValues("type")[0]);
                  String Title=checkQuote(Req.getParameterValues("title")[0]);
                  String Url = checkQuote(Req.getParameterValues("url")[0]);
                  String KW1=checkQuote(Req.getParameterValues("kw1")[0]);
                  String KW2=checkQuote(Req.getParameterValues("kw2")[0]);
                  String KW3=checkQuote(Req.getParameterValues("kw3")[0]);
                  String KW4=checkQuote(Req.getParameterValues("kw4")[0]);
                  String Abstract=checkQuote(Req.getParameterValues("abstract")[0]);

                  String Stg="select status from thesis,student_thesis where student_thesis.sroll='"+loginId+"' and student_thesis.type='"+type+"' and student_thesis.serialno=thesis.serialno";
                  ResultSet r1 = Stmt.executeQuery(Stg);
                  r1.next();
                  if(r1.getString(1).equals("y")){
                  }
                  else{
                          Stg="update students set sname='"+Name+"',saddress='"+Addr+"',semail='"+Email+"' where sroll='"+loginId+"'";
                          Stmt.executeUpdate(Stg);
                          Stg="select serialno from student_thesis where sroll='"+loginId+"'and type='"+type+"'";
                          ResultSet Result=Stmt.executeQuery(Stg);
                          if(Result.next()){
                                  serialno=Result.getString(1);
                          }
                          Stg="select type from student_faculty where sroll='"+loginId+"'";
                          ResultSet Type=Stmt.executeQuery(Stg); 
                          if(Type.next()){
                                  type=Type.getString(1);
                          }	
                          Stg = "update thesis set title='"+Title+"',url='"+Url+"',keyword1='"+KW1+"',keyword2='"+KW2+"',keyword3='"+KW3+"',keyword4='"+KW4+"',abstract='"+Abstract+"',status='0' where serialno='"+serialno+"'";
                          Stmt.executeUpdate(Stg);

                          try{
                                  FileWriter studentlogFile= new FileWriter(Config.StdSession,true);
                                  PrintWriter toFile=new PrintWriter(studentlogFile);
                                  PresentTime GetTime=new PresentTime();
                                  toFile.println(Name+" has modified and upated values @ "+GetTime.gettime());
                                  toFile.println("New Title= "+Title);
                                  toFile.println("New URL= "+Url);
                                  toFile.println("New Name= "+Name);
                                  toFile.println("New Email= "+Email);
                                  toFile.println("New Address= "+Addr);
                                  toFile.println("New Keywords are "+KW1+" "+ KW2+" "+KW3+" and "+KW4);
                                  toFile.println(" ");
                                  toFile.println(" ");
                                  studentlogFile.close();
                          } catch(IOException e){
                          }

                          Stg="select year from thesis where serialno='"+serialno+"'";
                          ResultSet Year=Stmt.executeQuery(Stg); 
                          if(Year.next()){
                                  year=Year.getString(1);
                          }	
                          Stg="select dno from auth_table where login='"+loginId+"'";
                          ResultSet Dno=Stmt.executeQuery(Stg); 
                          if(Dno.next()){
                                  dno=Dno.getString(1);
                          }	
                          Stmt.close();
                          String thesisDir=Config.thesispath;
                          File myfile=new File(thesisDir+"/"+dno);
                          myfile.mkdir();
                          myfile=new File(thesisDir+"/"+dno+"/"+year);
                          myfile.mkdir();
                          myfile=new File(thesisDir+"/"+dno+"/"+year+"/"+type);
                          myfile.mkdir();
                          String thesisfile=thesisDir+"/"+dno+"/"+year+"/"+type+"/"+loginId+".html";
                          this.getFile(Req,Conn,out,thesisfile);
                          this.Mail(loginId,Conn);
                  }
            }catch(SQLException e){}
            catch(IOException e){}
      }

          /** Method to insert  the data in database
            * @param Req HttpServletRequest instance
            * @param Conn Connection instance
            * @param out PrintWriter instance
            * @return Nothing
            */

      public void insData(HttpServletRequest Req,Connection Conn,PrintWriter out,String Flag)
            throws SQLException{
                  try{
                        int newSerialNo=0,curr_date=0;
                        String dno="";
                        /* extract values from the form */
                        String Name  = checkQuote(Req.getParameterValues("name")[0]);
                        String Addr  = checkQuote(Req.getParameterValues("addr")[0]);
                        String Email = checkQuote(Req.getParameterValues("email")[0]);
                        String type  = checkQuote(Req.getParameterValues("type")[0]);
                        String Title = checkQuote(Req.getParameterValues("title")[0]);
                        String Url   = checkQuote(Req.getParameterValues("url")[0]);
                        String KW1   = checkQuote(Req.getParameterValues("kw1")[0]);
                        String KW2   = checkQuote(Req.getParameterValues("kw2")[0]);
                        String KW3   = checkQuote(Req.getParameterValues("kw3")[0]);
                        String KW4   = checkQuote(Req.getParameterValues("kw4")[0]);
                        String Abstract = checkQuote(Req.getParameterValues("abstract")[0]);

                        /* create an SQL statement */
                        Statement Stmt = Conn.createStatement();	
                        
                        /* find out the department number */
                        String Stg="select dno from auth_table where login='"+loginId+"'";
                        ResultSet Dno=Stmt.executeQuery(Stg); 
                        if(Dno.next()){
                              dno=Dno.getString(1);
                        }	
                        
                        /* update student information. */
                        Stg="update students set sname='"+Name+"',saddress='"+Addr+"',semail='"+Email+"' where sroll='"+loginId+"'";
                        Stmt.executeUpdate(Stg);
                        Stg = "select max(serialno) from thesis";
                        ResultSet currSerialNo = Stmt.executeQuery(Stg);
                        if(currSerialNo.next()){
                              if(currSerialNo.getString(1) != null){
                                    Integer serialNo=new Integer(currSerialNo.getString(1));
                                    newSerialNo = serialNo.intValue()+1;
                              }
                              else{
                                    newSerialNo=1;
                              }
                        }
                        Date Currdate= new Date();
                        curr_date=Currdate.getYear()+1900;
                        Stg = "insert into thesis values('"+newSerialNo+"','"+Title+"','"+Url+"','"+type+"','"+KW1+"','"+KW2+"','"+KW3+"','"+KW4+"','"+loginId+type+"','"+curr_date+"','"+Abstract+"','0')"; 
                        Stmt.executeUpdate(Stg);
                        Stg = "insert into student_thesis values('"+newSerialNo+"','"+loginId+"','"+type+"')";
                        Stmt.executeUpdate(Stg);

                        try{

                              FileWriter studentlogFile= new FileWriter(Config.StdSession,true);
                              PrintWriter toFile=new PrintWriter(studentlogFile);
                              PresentTime GetTime=new PresentTime();
                              toFile.println(Name+" has inserted values @ "+GetTime.gettime());
                              toFile.println("New Title= "+Title);
                              toFile.println("New URL= "+Url);
                              toFile.println("New Name= "+Name);
                              toFile.println("New Email= "+Email);
                              toFile.println("New Address= "+Addr);
                              toFile.println("New Keywords are "+KW1+" "+ KW2+" "+KW3+" and "+KW4);
                              toFile.println(" ");
                              toFile.println(" ");
                              studentlogFile.close();
                        } catch(IOException e){
                        }


                        Stmt.close();
                        String thesisDir=Config.thesispath;
                        File myfile=new File(thesisDir+"/"+dno);
                        myfile.mkdir();
                        myfile=new File(thesisDir+"/"+dno+"/"+curr_date);
                        myfile.mkdir();
                        myfile=new File(thesisDir+"/"+dno+"/"+curr_date+"/"+type);
                        myfile.mkdir();
                        String thesisfile=thesisDir+"/"+dno+"/"+curr_date+"/"+type+"/"+loginId+".html";
                        this.getFile(Req,Conn,out,thesisfile);
                        this.Mail(loginId,Conn);
                  }catch(SQLException e){}
                  catch(IOException e){}
            }

          /** Method to retrieve the thesis from the gievn URL
            * @param Req HttpServletRequest instance
            * @param Conn Connection instance
            * @param out PrintWriter instance
            * @return Nothing
            */
      public void getFile(HttpServletRequest Req,Connection Conn,PrintWriter out,String thesisfile)
            throws IOException,MalformedURLException,FileNotFoundException{
                  /* Getting the file specified by url!! */
                  int readByte,index=0;
                  try{
                        String Url = Req.getParameterValues("url")[0];
                        index=Url.indexOf("/",0);	
                        String hostname = Url.substring(0,index);
                        String filename = Url.substring(index);
                        URL myURL = new URL("http",hostname,-1,filename);
                        InputStream myStream = myURL.openStream();
                        FileOutputStream fout = new FileOutputStream(thesisfile);
                        DataOutputStream dout = new DataOutputStream(fout);
                        readByte = myStream.read();
                        while(readByte != -1){
                              Character read_Byte = new Character((char)readByte); 
                              dout.writeBytes(read_Byte.toString());	
                              readByte = myStream.read();
                        }
                        dout.close();
                        fout.close();
                  } catch(MalformedURLException e){
                        Title = "Online Thesis Submission";
                        Head = "Alert";
                        myHeader.printHead(Title,Head,out);
                        this.printRespectivePage(Config.Dir+"filenotfound.html",out);
                        out.close();
                  }
                  catch(IOException e){
                        Title = "Online Thesis Submission";
                        Head = "Alert";
                        myHeader.printHead(Title,Head,out);
                        this.printRespectivePage(Config.Dir+"filenotfound.html",out);
                        out.close();
                  }
                  catch(StringIndexOutOfBoundsException e){
                        Title = "Online Thesis Submission";
                        Head = "Alert";
                        myHeader.printHead(Title,Head,out);
                        this.printRespectivePage(Config.Dir+"filenotfound.html",out);
                        out.close();
                  }
            }

          /** Method to open file and print it to a PrintWriter 
            * @param Filename Name of File as a String
            * @param out PrintWriter instance
            * @return Nothing
            */

      public void printRespectivePage(String Filename,PrintWriter out) throws FileNotFoundException,IOException{
            // Open the file with name Filename and just print the contents of it!! 
            try{
                  FileInputStream file = new FileInputStream(Filename);
                  InputStreamReader reader = new InputStreamReader(file);
                  BufferedReader input = new BufferedReader(reader);
                  String nextLine;
                  while((nextLine=input.readLine())!=null){
                        out.println(nextLine);
                  }
                  input.close();
                  reader.close();
                  file.close();
            } catch(FileNotFoundException e){}
      }

      String checkQuote(String initString){
            String returnString="";
            try{
                  int beginindex=0,endindex=0;
                  for(;;){
                        endindex=initString.indexOf("'",beginindex);
                        if(endindex==-1){
                              returnString+=initString.substring(beginindex);
                              break;
                        }
                        else{
                              returnString+=initString.substring(beginindex,endindex)+"''";
                              beginindex=endindex+1;
                        }
                  }
            } catch(StringIndexOutOfBoundsException e){}
            return(returnString);
      }	

          /** Method to print the updated page 
            * @param Conn Connection instance
            * @param out PrintWriter instance
            * @return Nothing
            */
      public void printUpdatePage(Connection Conn,PrintWriter out){
            String serialno="";
            try{
                  Title = "Online Thesis Submission";
                  Head = "Submission Form";
                  myHeader.printHead(Title,Head,out);
                  myHeader.printMain(out);
                  Statement Stmt=Conn.createStatement();
                  String s="<CENTER> <TABLE BGCOLOR="+Config.tablecolor+"> <TR><TD> <FONT SIZE=5> Name </FONT> </TD><TD> <FONT SIZE=5> <INPUT TYPE=TEXT SIZE=30 NAME=name VALUE=";
                  String Query="select sname from students where sroll='"+loginId+"'";
                  ResultSet Result=Stmt.executeQuery(Query);
                  if(Result.next()){
                        s+="\""+Result.getString(1)+"\"";
                  }
                  s+="> </FONT> </TD> </TR> <TR><TD> <FONT SIZE=5> Address </FONT> </TD><TD> <FONT SIZE=5> <INPUT TYPE=TEXT SIZE=30 NAME=addr VALUE=";
                  Query="select saddress from students where sroll='"+loginId+"'";
                  Result=Stmt.executeQuery(Query);
                  if(Result.next()){
                        s+="\""+Result.getString(1)+"\"";
                  }
                  s+="> </FONT> </TD> </TR> <TR><TD> <FONT SIZE=5> Email </FONT> </TD><TD> <FONT SIZE=5> <INPUT TYPE=TEXT SIZE=30 NAME=email VALUE=";
                  Query="select semail from students where sroll='"+loginId+"'";
                  Result=Stmt.executeQuery(Query);
                  if(Result.next()){
                        s+="\""+Result.getString(1)+"\"";
                  }
                  s+="> </FONT> </TD> </TR>";
                  out.println(s);
                  this.printTypesList(out,Conn);
                  s="<tr><td> <font size=5> Thesis Title </font> </td><td> <font size=5> <input type=text size=30 name=title value=";
                  Query="select serialno from student_thesis where sroll='"+loginId+"'";
                  Result=Stmt.executeQuery(Query);
                  if(Result.next()){
                        serialno=Result.getString(1);
                  }
                  Query="select title,url from thesis where serialno='"+serialno+"'";
                  Result=Stmt.executeQuery(Query);
                  if(Result.next()){
                        s+="\""+Result.getString(1)+"\"";
                  }
                  s+="> </FONT> </TD> </TR> <TR><TD> <FONT SIZE=5> Url of File </FONT> </TD><TD> <FONT SIZE=5> <INPUT TYPE=TEXT SIZE=30 NAME=url value=\""+Result.getString(2)+"\";> </font> </td> </tr> <tr><td></td> <td> <font size=5> (Eg : www.cse.iitb.ernet.in/~sunny/Report.ps) </font> </td> </tr> </table> </center> <center> <table bgcolor="+Config.tablecolor+"> <tr><td> <font size=5> Keywords </font> </td><td> <font size=5> <input type=text size=15 name=kw1 value=";
                  Query="select keyword1,keyword2,keyword3,keyword4,abstract from thesis where serialno='"+serialno+"'";
                  Result=Stmt.executeQuery(Query);
                  if(Result.next()){
                        s+="\""+Result.getString(1)+"\"";
                        s+="> </FONT> </TD><TD> <FONT SIZE=5> <INPUT TYPE=TEXT SIZE=15 NAME=kw2 VALUE=";
                        s+="\""+Result.getString(2)+"\"";
                        s+="> </FONT> </TD> <TR><TD></TD><TD> <FONT SIZE=5> <INPUT TYPE=TEXT SIZE=15 NAME=kw3 VALUE=";
                        s+="\""+Result.getString(3)+"\"";
                        s+="> </FONT> </TD> <TD> <FONT SIZE=5> <INPUT TYPE=TEXT SIZE=15 NAME=kw4 VALUE=";
                        s+="\""+Result.getString(4)+"\"";
                        s+="> </FONT> </TD> </TR> </TABLE> </CENTER> <HR> <CENTER><U> <FONT SIZE=5> Abstract of Thesis </U> </FONT> </CENTER> <CENTER> <FONT SIZE=4> ( * Abstract should not be more than <i>1000</i> characters)</font> </center> <center> <font size=5> <textarea rows=10 cols=60 name=abstract>";
                        s+= Result.getString(5);
                  }
                  s+="</TEXTAREA> </FONT> </CENTER> <HR> <CENTER> <TABLE BGCOLOR="+Config.tablecolor+"> <TR><TD> <FONT SIZE=5> <INPUT TYPE=SUBMIT VALUE=Submit></FONT></TD> <TD> <FONT SIZE=5> <INPUT TYPE=RESET VALUE=Reset></FONT></TD> </TR> </TABLE> </CENTER> <INPUT TYPE=HIDDEN NAME=form_no VALUE=1> </FORM> </BODY> </HTML>";
                  out.println(s);
            } catch(SQLException e){}
      }

          /** Method to mail Guide/Co-guide about the student under the
            * who has registered. Also sends them their password so they
            * can login to verify the datra entered by the student
            * @param rollno Roll number as a  String
            * @param Conn Connection instance
            * @return Nothing
            */

      void Mail(String rollno,Connection con){

            try{
                  Statement stmt=con.createStatement();
                  String str="select faculty.femail,faculty.fname,students.sname,faculty.dno,faculty.loginid from faculty,students,student_faculty where students.sroll=student_faculty.sroll and faculty.loginid=student_faculty.loginid and students.sroll='"+rollno+"'";
             
                  /* finding the email address and name of the guide and coguide given the
                     rollno of the student. */
                  RandGen rnum=new RandGen();
                  ResultSet rset1=stmt.executeQuery(str);
                  while(rset1.next()){
                        String femail=rset1.getString(1);
                        String fname=rset1.getString(2);
                        String sname=rset1.getString(3);
                        String fdno =rset1.getString(4);
                        String flogin=rset1.getString(5);
                        String extra=""; 
                        extra = "Your login name is "+flogin;
                        try{
                             Statement facstmt1=con.createStatement();
                             String facstr="select password from auth_table where login='"+flogin+"'";    
                             ResultSet facset1=facstmt1.executeQuery(facstr);
                             if(facset1.next()){
                                   extra+=" Your password is "+facset1.getString(1);
                             }
                             else{
                                   String facpasswd=rnum.generate();
                                   extra+=" Your password is "+facpasswd;
                                   String facpasswdinsert="insert into auth_table values('"+flogin+"','"+facpasswd+"','"+fdno+"','faculty')";
                                   try{
                                       Statement facstmt2=con.createStatement();
                                       ResultSet facset2=facstmt2.executeQuery(facpasswdinsert); 
                                   }catch(SQLException e){}
                             }
                        }catch(SQLException e){}

                        String body="Prof. "+fname+",\n The following student of";
                        body+=" yours has submitted his thesis : \n\n Name : "+sname;
                        body+="\n Rollno : "+rollno+"\n\n Kindly approve it.";
                        body+=extra;
                        Mailer faculty=new Mailer(femail,body);
                        faculty.start();
                  }
            } catch(SQLException e){}
      }	
}
