import java.io.*;
import java.util.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;
import Config;

   /** Class to print all information regarding a student */
     
public class Students_info extends HttpServlet{
	Connection Conn;
	
      /* Init to set up connection to sql server */
	public void init(ServletConfig cfg)
	throws ServletException{
		try{
		DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());
    	        Conn = DriverManager.getConnection("jdbc:oracle:thin:@:1521:GEN",Config.dblogin,Config.dbpassword);
		}catch(SQLException e){}
	}
    
      /* Handle the posted form */
	public void doPost(HttpServletRequest req,HttpServletResponse res)
	throws ServletException, IOException{
			res.setContentType("text/html");
			PrintWriter out = res.getWriter();
			create_student(out,req);
			out.close();
	}

      /** Method to get information about the student via an sql query
        * @param out PrintWriter instance
        * @param req HttpServletRequest instance
        * @return Nothing
        */
	 public void create_student(PrintWriter out, HttpServletRequest req){
	 String dno,type,year,roll;
	try{
		Statement stmt =Conn.createStatement();
		dno=req.getParameterValues("dept")[0];
		year=req.getParameterValues("year")[0];
		type=req.getParameterValues("type")[0];
		roll=req.getParameterValues("roll")[0];
	    	String sear="";
		sear+="select students.sname,students.saddress,students.semail,department.dname, thesis.title,thesis.type,thesis.filename, faculty.fname,faculty.femail,thesis.abstract,thesis.status from thesis,student_thesis,students,faculty,department,student_faculty where thesis.type = '"+type+"' and students.sroll = '"+roll+"' and thesis.serialno=student_thesis.serialno and student_thesis.sroll=students.sroll and student_faculty.sroll=student_thesis.sroll and student_faculty.loginid=faculty.loginid and students.dno=department.dno "; 
		ResultSet rset1=stmt.executeQuery(sear);
		gen_form(rset1,out,req);
		} catch(SQLException e){}
	}
       
	 /** Method to print the page information on the student giving links
         * to the appropiate places
         * @param res ResultSet instance
         * @param out PrintWriter instance
         * @param req HttpServletRequest instance
         * @return Nothing
         */
    public void gen_form(ResultSet res,PrintWriter out,HttpServletRequest req){
	
      String str="",sname,saddress,semail,dname,title,type,filename,fname,femail,tabstract;
	String roll=req.getParameterValues("roll")[0];
	String dno=req.getParameterValues("dept")[0];
	String year=req.getParameterValues("year")[0];
      str="<html><title>Browse!</title>";
	str+="<body ";
	str+=" link="+Config.link+" text="+Config.text+" bgcolor="+Config.bgcolor+">";
	str+="<head><center><h1><u>Student Information</u></h1></center></head>";
	     try{ 
	       if(res.next()){
	            sname=res.getString(1);
	            saddress=res.getString(2);
	            semail=res.getString(3);
	            dname=res.getString(4);
	            title=res.getString(5);
	            type=res.getString(6);
	            filename=res.getString(7);
	            fname=res.getString(8);
	            femail=res.getString(9);
	            tabstract=res.getString(10);

		    str+="<center><font size=5>";
		    str+="<br>Name : "+sname+"<br>";
		    str+="Address : "+saddress+"<br>";
		    str+="Email : "+semail+"<br>";
		    str+="Department : "+dname+"<br>";
		    str+="Thesis Title : "+title+"<br>";
		    str+="Thesis Type : "+type+"<br>";
		    str+="<a href=\""+Config.thesissite+"/"+dno+"/"+year+"/";
		    str+=type+"/"+roll+".html\">Thesis</a><br>";
		    str+="Guide's Name : "+fname+"<br>";
		    str+="Guide's Email : "+femail+"<br>";
		    str+="Abstract : <br>"+tabstract+"<br>";
		    str+="</font></center>";
		}
	     } catch(SQLException e){}
	     str+="</body></html>";
	     out.println(str);
	} 
}

