import java.io.*;
import java.util.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;

      /** Class to Validate a login. It is called by Main Servlet at 
        * the time any one logs in and returns the designation of the
        * person if he/she is authorized user.
        */
public class Validator{
   
      /** Method to validate a user
        * @param Req   HttpServletRequest instance
        * @param Conn  Connection
        * @return The type of person logging in ie whether root,student or faculty
        */
      public String Validate(HttpServletRequest Req,Connection Conn){
            try{
                  String Login = Req.getParameterValues("login")[0];
                  String Pass = Req.getParameterValues("pass")[0];
                  String Auth_query="select * from auth_table where login='"+Login+"' and password='"+Pass+"'";
                  Statement Stmt = Conn.createStatement();
                  ResultSet Auth_result=Stmt.executeQuery(Auth_query);
      
                  /* If such a login exists */
                  if(Auth_result.next()){
                        String Type=Auth_result.getString("type");
                   
                        if(Type.compareTo("student") == 0){
                              Stmt.close();
                              return("student");
                        }
                        else if(Type.compareTo("faculty") == 0){
                              Stmt.close();
                              return("faculty");
                        }
                        else{
                              Stmt.close();
                              return("root");
                        }
                  }
                  /* If no such user exists */
                  else{
                        return("fail");
                  }
            } catch(SQLException e){
                  System.out.println("Jdbc not connecting");
                  return("fail");
            }
      }
}
